"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../../core/MantineProvider/use-props/use-props.cjs");
const Box = require("../../../core/Box/Box.cjs");
const factory = require("../../../core/factory/factory.cjs");
const Combobox_context = require("../Combobox.context.cjs");
const Combobox_module_css = require("../Combobox.module.css.cjs");
const defaultProps = {};
const ComboboxHeader = factory.factory((props, ref) => {
  const { classNames, className, style, styles, vars, ...others } = useProps.useProps(
    "ComboboxHeader",
    defaultProps,
    props
  );
  const ctx = Combobox_context.useComboboxContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...ctx.getStyles("header", { className, classNames, style, styles }),
      ...others,
      onMouseDown: (event) => {
        event.preventDefault();
      }
    }
  );
});
ComboboxHeader.classes = Combobox_module_css.default;
ComboboxHeader.displayName = "@mantine/core/ComboboxHeader";
exports.ComboboxHeader = ComboboxHeader;
